      subroutine pfinit(prog)
      character*(*) prog
      character prog1*8
      include 'iosys.cmn'
      equivalence(pgm(1),prog1(1:4))
      equivalence(pgm(2),prog1(5:8))
      nchar = len(prog)
      if(nchar.gt.0) then
        do i=1,nchar
        prog1(i:i)=prog(i:i)
        enddo
      endif
      if(nchar.lt.8) then
        do i=nchar+1,8
        prog1(i:i) = ' '
        enddo
      endif
c      write(abc,*) prog(1:4)
c      write(def,*) prog(5:8)
c      call pfinit2(prog(1:8))
c      return
c      end
c      subroutine pfinit2(prog)
c      real prog(2)
c      include 'iosys.cmn'
c      pgm(1)=prog(1)
c      pgm(2)=prog(2)
      return
      end
